export default class Input {
    constructor(commandHandler) {
        this.handler = commandHandler;
        this.inputField = document.getElementById("input-area");
        this.init();
    }

    init() {
        this.inputField.addEventListener("keydown", (e) => {
            if (e.which == 13) {
                const val = this.inputField.value;
                this.inputField.value = "";
                this.handler.doCommand(val);
            }
        })
    }
}