import { TTS } from '../framework/tts';
import { AriaOutput } from '../framework/tts/outputs/aria';

export default class Output {
    constructor() {
        this.tts = new TTS(new AriaOutput());
        this.history = document.getElementById("output-area");
    }

    say(string) {
        const node = document.createElement("p");
        node.appendChild(document.createTextNode(string));
        this.history.appendChild(node);
        // this.tts.speak(string);
    }
}